Results 1 to 5 of 5

Thread: Installing aqbanking for GnuCash

  1. #1
    Join Date
    Jun 2008
    Location
    Deerfield, Massachusetts
    Posts
    157

    Default Installing aqbanking for GnuCash

    I'm running OpenSuSE 11.1 and trying to install aqbanking using Yast. Gnucash tells me this:

    The external program "AqBanking Setup Wizard" has not been found.

    The aqbanking-qt3 package should include the program "qt3-wizard". Please check your installation to ensure this program is present. On some distributions this may require installing additional packages.
    When I try to install aqbanking-qt3, I get dependency problems. How can I get past this?

  2. #2

    Default Re: Installing aqbanking for GnuCash

    Hello pwabrahams,

    Quote Originally Posted by pwabrahams
    When I try to install aqbanking-qt3, I get dependency problems. How can I get past this?
    First of all could you tell us which dependency problem you get?
    And could you post the output of this command:
    Code:
    zypper lr -d
    Best of luck!
    Where did I put my coffee cup?
    dir -R /home/* | grep "coffee cup"

  3. #3
    Join Date
    Jun 2008
    Location
    Deerfield, Massachusetts
    Posts
    157

    Default Online banking gone!

    I don't know what I did to cause it, but the online banking items have gone missing: Setup in the Tools menu and "Get Balance", etc., in the Transactions menu. How can I get them back?

    Meanwhile, I deleted all the aqbanking packages using Yast and reinstalled them (aqbanking and aqbanking-qt3 in particular). I no longer get the dependency complaint. But of course I can't do online banking either because of the missing menu items!

  4. #4
    Join Date
    Jun 2008
    Location
    Deerfield, Massachusetts
    Posts
    157

    Default More information

    I tried reinstalling GnuCash and got this message from Yast:

    gnucash-2.2.9-11.1.x86-64 requires libaqbanking.so.16() (64 bit), but this requirement cannot be provided. And here's the output of
    zypper:

    Code:
    pwa@suillus2:~> zypper lr -d
    #  | Alias                                     | Name                                        | Enabled | Refresh | Priority | Type   | URI                                                                                                    | Service
    ---+-------------------------------------------+---------------------------------------------+---------+---------+----------+--------+--------------------------------------------------------------------------------------------------------+--------
    1  | GNOME:Community                           | GNOME:Community                             | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/GNOME:/Community/openSUSE_11.1/                              |
    2  | KDE:KDE4:Community                        | KDE:KDE4:Community                          | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE4_STABLE_Desktop/      |
    3  | KDE:KDE4:STABLE:Desktop                   | KDE:KDE4:STABLE:Desktop                     | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/STABLE:/Desktop/openSUSE_11.1/                    |
    4  | Packman Repository                        | Packman Repository                          | Yes     | Yes     |   99     | rpm-md | http://ftp.skynet.be/pub/packman/suse/11.1/                                                            |
    5  | aqbanking_for_OpenSuSE_11.1               | aqbanking for OpenSuSE 11.1                 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home://rajeshsingh://aqbanking/openSUSE_11.1/                |
    6  | devel:tools:building                      | devel:tools:building                        | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/tools:/building/openSUSE_11.1/                        |
    7  | google-chrome                             | google-chrome                               | Yes     | Yes     |   99     | rpm-md | http://dl.google.com/linux/rpm/stable/x86_64                                                           |
    8  | home:mkudlvasr:branches:security:chipcard | home:mkudlvasr:branches:security:chipcard   | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/mkudlvasr:/branches:/security:/chipcard/openSUSE_11.1/ |
    9  | openSUSE_11.1                             | openSUSE_11.1                               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home://rajeshsingh://aqbanking/openSUSE_11.1/                |
    10 | openSUSE_11.1_1                           | openSUSE_11.1                               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home://rajeshsingh://aqbanking/openSUSE_11.1/                |
    11 | repo                                      | VideoLan Repository                         | Yes     | Yes     |   99     | rpm-md | http://download.videolan.org/pub/videolan/vlc/SuSE/11.1/                                               |
    12 | repo-debug                                | openSUSE-11.1-Debug                         | No      | Yes     |  100     | NONE   | http://download.opensuse.org/debug/distribution/11.1/repo/oss/                                         |
    13 | repo-non-oss                              | openSUSE-11.1-Non-Oss                       | Yes     | Yes     |  100     | yast2  | http://download.opensuse.org/distribution/11.1/repo/non-oss/                                           |
    14 | repo-oss                                  | openSUSE-11.1-Oss                           | Yes     | Yes     |  100     | yast2  | http://download.opensuse.org/distribution/11.1/repo/oss/                                               |
    15 | repo-source                               | repo-source                                 | No      | Yes     |  100     | yast2  | http://download.opensuse.org/source/distribution/11.1/repo/oss/                                        |
    16 | repo-update                               | repo-update                                 | Yes     | Yes     |   20     | rpm-md | http://download.opensuse.org/update/11.1/                                                              |
    17 | repo_1                                    | NVIDIA Repository                           | Yes     | Yes     |   99     | rpm-md | ftp://download.nvidia.com/opensuse/11.1/                                                               |
    18 | repo_2                                    | openSUSE BuildService - KDE:Community       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Community/openSUSE_11.1/                                |
    19 | repo_3                                    | openSUSE BuildService - KDE:Backports       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Backports/openSUSE_11.1/                                |
    20 | repo_4                                    | openSUSE BuildService - Drivers for webcams | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/drivers:/webcam/openSUSE_11.1/                               |
    21 | repo_5                                    | Packman Repository                          | Yes     | Yes     |   99     | rpm-md | http://ftp.skynet.be/pub/packman/suse/11.1/                                                            |
    22 | security:chipcard                         | security:chipcard                           | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/security:/chipcard/openSUSE_11.1/                            |

  5. #5

    Default Re: Installing aqbanking for GnuCash

    Hello pwabrahams,

    Quote Originally Posted by pwabrahams
    And here's the output of
    zypper:

    Code:
         pwa@suillus2:~> zypper lr -d
    #  | Alias                                     | Name                                        | Enabled | Refresh | Priority | Type   | URI                                                                                                    | Service
    ---+-------------------------------------------+---------------------------------------------+---------+---------+----------+--------+--------------------------------------------------------------------------------------------------------+--------
    1  | GNOME:Community                           | GNOME:Community                             | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/GNOME:/Community/openSUSE_11.1/                              |
    2  | KDE:KDE4:Community                        | KDE:KDE4:Community                          | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE4_STABLE_Desktop/      |
    3  | KDE:KDE4:STABLE:Desktop                   | KDE:KDE4:STABLE:Desktop                     | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/KDE4:/STABLE:/Desktop/openSUSE_11.1/                    |
    4  | Packman Repository                        | Packman Repository                          | Yes     | Yes     |   99     | rpm-md | http://ftp.skynet.be/pub/packman/suse/11.1/                                                            |
    5  | aqbanking_for_OpenSuSE_11.1               | aqbanking for OpenSuSE 11.1                 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home://rajeshsingh://aqbanking/openSUSE_11.1/                |
    6  | devel:tools:building                      | devel:tools:building                        | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/devel:/tools:/building/openSUSE_11.1/                        |
    7  | google-chrome                             | google-chrome                               | Yes     | Yes     |   99     | rpm-md | http://dl.google.com/linux/rpm/stable/x86_64                                                           |
    8  | home:mkudlvasr:branches:security:chipcard | home:mkudlvasr:branches:security:chipcard   | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/mkudlvasr:/branches:/security:/chipcard/openSUSE_11.1/ |
    9  | openSUSE_11.1                             | openSUSE_11.1                               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home://rajeshsingh://aqbanking/openSUSE_11.1/                |
    10 | openSUSE_11.1_1                           | openSUSE_11.1                               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home://rajeshsingh://aqbanking/openSUSE_11.1/                |
    11 | repo                                      | VideoLan Repository                         | Yes     | Yes     |   99     | rpm-md | http://download.videolan.org/pub/videolan/vlc/SuSE/11.1/                                               |
    12 | repo-debug                                | openSUSE-11.1-Debug                         | No      | Yes     |  100     | NONE   | http://download.opensuse.org/debug/distribution/11.1/repo/oss/                                         |
    13 | repo-non-oss                              | openSUSE-11.1-Non-Oss                       | Yes     | Yes     |  100     | yast2  | http://download.opensuse.org/distribution/11.1/repo/non-oss/                                           |
    14 | repo-oss                                  | openSUSE-11.1-Oss                           | Yes     | Yes     |  100     | yast2  | http://download.opensuse.org/distribution/11.1/repo/oss/                                               |
    15 | repo-source                               | repo-source                                 | No      | Yes     |  100     | yast2  | http://download.opensuse.org/source/distribution/11.1/repo/oss/                                        |
    16 | repo-update                               | repo-update                                 | Yes     | Yes     |   20     | rpm-md | http://download.opensuse.org/update/11.1/                                                              |
    17 | repo_1                                    | NVIDIA Repository                           | Yes     | Yes     |   99     | rpm-md | ftp://download.nvidia.com/opensuse/11.1/                                                               |
    18 | repo_2                                    | openSUSE BuildService - KDE:Community       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Community/openSUSE_11.1/                                |
    19 | repo_3                                    | openSUSE BuildService - KDE:Backports       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Backports/openSUSE_11.1/                                |
    20 | repo_4                                    | openSUSE BuildService - Drivers for webcams | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/drivers:/webcam/openSUSE_11.1/                               |
    21 | repo_5                                    | Packman Repository                          | Yes     | Yes     |   99     | rpm-md | http://ftp.skynet.be/pub/packman/suse/11.1/                                                            |
    22 | security:chipcard                         | security:chipcard                           | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/security:/chipcard/openSUSE_11.1/                            |
    The only thing I can say is that your repositories are a mess.

    Quote Originally Posted by pwabrahams
    I tried reinstalling GnuCash and got this message from Yast:

    gnucash-2.2.9-11.1.x86-64 requires libaqbanking.so.16() (64 bit), but this requirement cannot be provided.
    This could be caused by your repositories.

    You definitely need to remove some repositories.
    I'm not sure which ones you need to remove.
    First of all remove the duplicates:

    • 9,10 are duplicates of 5
    • 21 is a duplicate of 4

    There are still a lot of repositories to remove.
    Try to delete as many as possible, but keep at least these four:

    • OSS(14)
    • Non-OSS(13)
    • Update(16)
    • Packman(4)

    But be careful when deleting repositories!

    Best of luck!
    Where did I put my coffee cup?
    dir -R /home/* | grep "coffee cup"

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •